Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ShowValidatorAction.PropertyInfo

    java.lang.Object
      org.apache.struts2.config_browser.ShowValidatorAction.PropertyInfo

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  ShowValidatorAction

    public static class ShowValidatorAction.PropertyInfo

extends java.lang.Object
implements java.lang.Comparable

Constructor Summary
`ShowValidatorAction.PropertyInfo(java.lang.String name, java.lang.Class type, java.lang.Object value)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()`
`java.lang.Class` | `getType()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.Class type)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowValidatorAction.PropertyInfo

    public ShowValidatorAction.PropertyInfo(java.lang.String name,
                                            java.lang.Class type,
                                            java.lang.Object value)

Method Detail

### getType

    public java.lang.Class getType()

### setType

    public void setType(java.lang.Class type)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.